GET /report/operationlogs
Operation ID: reportOperationLogs
Auth: unknown
Description
The [Operations Logs](https://support.zoom.us/hc/en-us/articles/360032748331-Operation-Logs) report allows you to audit admin and user activity, such as adding a new user, changing account settings, and deleting recordings.<br> Use this API to retrieve operation logs report for a specified period of time.<br> **Scopes:** `report:read:admin`<br> **[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `Heavy`<br> **Prerequisites:**<br> * Pro or higher plan.
Parameters (5)
(string, query, optional)
**Optional**<br> Filter your response by a category type to see reports for a specific category. The value for this field can be one of the following:<br> `all`<br>`user`<br>`user_settings`<br>`account`<br>`billing`<br>`im`<br>`recording`<br>`phone_contacts`<br>`webinar`<br>`sub_account`<br>`role`<br>`zoom_rooms`
Constraints: {'enum': ['all', 'user', 'user_settings', 'account', 'billing', 'im', 'recording', 'phone_contacts', 'webinar', 'sub_account', 'role', 'zoom_rooms']}
(string, query, required)
Start date in 'yyyy-mm-dd' format. The date range defined by the "from" and "to" parameters should only be one month as the report includes only one month worth of data at once.
(string, query, optional)
The next page token is used to paginate through large result sets. A next page token will be returned whenever the set of available results exceeds the current page size. The expiration period for this token is 15 minutes.
(integer, query, optional, default: 30)
The number of records returned within a single API call.
Constraints: {'maximum': 300}
(string, query, required)
End date.
No probe data for this endpoint yet.